Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.intel.cosbench.model
Enum TaskState

    java.lang.Object
      java.lang.Enum<TaskState>
          com.intel.cosbench.model.TaskState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TaskState>

    public enum TaskState

extends java.lang.Enum<TaskState>

Enum Constant Summary
`ABORTED`
`ACCOMPLISHED`
`AUTHED`
`BOOTED`
`CREATED`
`ERROR`
`FINISHED`
`INTERRUPTED`
`LAUNCHED`
`SUBMITTED`
`TERMINATED`

Field Summary
`static java.util.Set<TaskState>` | `FINAL_STATES`

Method Summary
`static boolean` | `isStopped(TaskState state)`
`static TaskState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TaskState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATED

    public static final TaskState CREATED

### BOOTED

    public static final TaskState BOOTED

### SUBMITTED

    public static final TaskState SUBMITTED

### AUTHED

    public static final TaskState AUTHED

### LAUNCHED

    public static final TaskState LAUNCHED

### FINISHED

    public static final TaskState FINISHED

### ACCOMPLISHED

    public static final TaskState ACCOMPLISHED

### ABORTED

    public static final TaskState ABORTED

### TERMINATED

    public static final TaskState TERMINATED

### ERROR

    public static final TaskState ERROR

### INTERRUPTED

    public static final TaskState INTERRUPTED

Field Detail

### FINAL_STATES

    public static java.util.Set<TaskState> FINAL_STATES

Method Detail

### values

    public static TaskState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TaskState c : TaskState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TaskState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isStopped

    public static boolean isStopped(TaskState state)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD